Contributing  to ubair

All contributions to ubair are welcome! This document outlines the process and guidelines for contributing to the project.

Coding Standards
Aim for self-explanatory and readable code to minimize the need for additional documentation.

Reporting Bugs and Feature Requests
Use GitLab issues to report bugs or propose features. While we do not provide a specific template, please include sufficient details to help us understand and address the issue.

Workflow and Version Control
Pull requests (PRs) are welcome. You may either:
•	Fork the repository and submit a PR from your fork.
•	Work directly on a branch and submit a PR. 

Testing and Validation
New features must allow for reproducible results. Validate your code against existing data and workflows to ensure compatibility and consistency.

Licensing
Ensure that any new dependencies added are compatible with the GPL-3.0-or-later used in this project.

General Guidelines
Discuss significant changes (e.g., new features) in a GitLab issue before starting your work. When adding new files or modifying the folder structure, ensure compatibility with the existing structure. 

Thank you for contributing to ubair! If you have any questions, feel free to contact the maintainers  listed in the README file.
